Subject: [alpine-devel] [PATCH] testing/strongswan: upgrade to 4.6.1

From: Jesse Young <[email-masked]>
Date: Tue, 22 Nov 2011 17:18:25 -0600

Signed-off-by: Jesse Young <[email-masked]>
---
 testing/strongswan/APKBUILD |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/testing/strongswan/APKBUILD b/testing/strongswan/APKBUILD
index e89a401..b90a3e2 100644
--- a/testing/strongswan/APKBUILD
+++ b/testing/strongswan/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Jesse Young <[email-masked]>
 # Maintainer:
 pkgname=strongswan
-pkgver=4.5.2
+pkgver=4.6.1
 pkgrel=0
 pkgdesc="IPsec-based VPN solution focused on security and ease of use, supporting IKEv1/IKEv2 and MOBIKE"
 url="http://www.strongswan.org/"
@@ -11,7 +11,7 @@ depends="iproute2 openssl"
 depends_dev="sqlite-dev openssl-dev curl-dev gmp-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-doc"
 source="http://download.strongswan.org/$pkgname-$pkgver.tar.bz2 adns.patch strongswan.initd"
 
 _builddir="$srcdir/$pkgname-$pkgver"
@@ -65,10 +65,10 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 	install -m755 -D "$srcdir/$pkgname.initd" \
 		"$pkgdir/etc/init.d/$pkgname"
-	rm "$pkgdir"/usr/lib/strongswan/plugins/*.la || return 1
-	rm "$pkgdir"/usr/lib/*.la || return 1
+	rm "$pkgdir"/usr/lib/ipsec/plugins/*.la || return 1
+	rm "$pkgdir"/usr/lib/ipsec/*.la || return 1
 }
 
-md5sums="ac33b8f849a274127f84df0838cae953  strongswan-4.5.2.tar.bz2
+md5sums="85a28a12ed6f286a5bc9117e3a9386bb  strongswan-4.6.1.tar.bz2
 8f02d0e582ac9ac60c28e465b626481d  adns.patch
 fb9822512d02f521af8812db22a5175e  strongswan.initd"
-- 
1.7.7.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---